Bug 249639 - error while attempting to reprobe storage after vg deactivation
Summary: error while attempting to reprobe storage after vg deactivation
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-25 22:37 UTC by Corey Marthaler
Modified: 2016-04-26 13:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-30 15:02:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2007-07-25 22:37:53 UTC
Description of problem:
I had deleted a vg by hand and so I wanted to update conga by reprobing storage
and hit the following:

Error Type
    TypeError
Error Value
    unsubscriptable object
Request made at
    2007/07/25 17:34:35.960 GMT-5 

Version-Release number of selected component (if applicable):
luci-0.10.0-2.el5
ricci-0.10.0-2.el5

Comment 1 Ryan McCabe 2007-07-26 05:37:37 UTC
Would it be possible to check /var/lib/luci/log/event.log to see where in the 
code this error was occurring? Searching for ^Type Error ought to find it.

Comment 2 Corey Marthaler 2007-07-26 16:24:35 UTC
The following is what I found in /var/lib/luci/log/event.log. 
(I didn't even know this file existed :) I'll try and add this info each time I
see new bugs from now on)


2007-07-25T17:34:35 ERROR Zope.SiteErrorLog
https://taft-02:8084/luci/storage/index_html
Traceback (innermost last):
  Module ZPublisher.Publish, line 115, in publish
  Module ZPublisher.mapply, line 88, in mapply
  Module ZPublisher.Publish, line 41, in call_object
  Module Shared.DC.Scripts.Bindings, line 311, in __call__
  Module Shared.DC.Scripts.Bindings, line 348, in _bindAndExec
  Module Products.PageTemplates.ZopePageTemplate, line 255, in _exec
  Module Products.PageTemplates.PageTemplate, line 104, in pt_render
   - <ZopePageTemplate at /luci/storage/index_html>
  Module TAL.TALInterpreter, line 238, in __call__
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 728, in do_defineMacro
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 457, in do_optTag_tal
  Module TAL.TALInterpreter, line 442, in do_optTag
  Module TAL.TALInterpreter, line 437, in no_tag
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 780, in do_defineSlot
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 457, in do_optTag_tal
  Module TAL.TALInterpreter, line 442, in do_optTag
  Module TAL.TALInterpreter, line 437, in no_tag
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 728, in do_defineMacro
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 749, in do_useMacro
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 457, in do_optTag_tal
  Module TAL.TALInterpreter, line 442, in do_optTag
  Module TAL.TALInterpreter, line 437, in no_tag
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 715, in do_condition
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 455, in do_optTag_tal
  Module TAL.TALInterpreter, line 437, in no_tag
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 749, in do_useMacro
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 507, in do_setLocal_tal
  Module Products.PageTemplates.TALES, line 221, in evaluate
   - URL: /luci/storage/form-macros
   - Line 599, Column 3
   - Expression: <PythonExpr mapper['mapper_id'] + '_properties_span_id'>
   - Names:
      {'container': <Folder at /luci/storage>,
       'context': <Folder at /luci/storage>,
       'default': <Products.PageTemplates.TALES.Default instance at 0x2aaab59abef0>,
       'here': <Folder at /luci/storage>,
       'loop': <Products.PageTemplates.TALES.SafeMapping object at 0x1d32c878>,
       'modules': <Products.PageTemplates.ZRPythonExpr._SecureModuleImporter
instance at 0x2aaab59ae680>,
       'nothing': None,
       'options': {'args': ()},
       'repeat': <Products.PageTemplates.TALES.SafeMapping object at 0x1d32c878>,
       'request': <HTTPRequest, URL=https://taft-02:8084/luci/storage/index_html>,
       'root': <Application at >,
       'template': <ZopePageTemplate at /luci/storage/index_html>,
       'traverse_subpath': [],
       'user': <PropertiedUser 'admin'>}
  Module Products.PageTemplates.ZRPythonExpr, line 47, in __call__
   - __traceback_info__: mapper['mapper_id'] + '_properties_span_id'
  Module Python expression "mapper['mapper_id'] + '_properties_span_id'", line
1, in <expression>
  Module AccessControl.ZopeGuards, line 67, in guarded_getitem
TypeError: unsubscriptable object


Comment 3 Corey Marthaler 2007-08-06 19:00:19 UTC
I reproduced this and believe that deactivating one of the volume groups by hand
before the conga reprobe is what caused this.

Comment 4 Corey Marthaler 2007-08-21 14:30:26 UTC
reproduced this on 10.0-5.el5.

Comment 5 RHEL Product and Program Management 2007-10-16 03:52:39 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Kiersten (Kerri) Anderson 2007-10-31 15:41:15 UTC
Devel NAK for 5.2 - ended up below the line of available resources.

Comment 7 RHEL Product and Program Management 2007-10-31 15:42:51 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.